# NixOps configuration for ceilidh
{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [../hardware/raspberry_pi_4_model_B.nix];

  # Comment out deployment when building the SD Image.
  deployment.targetHost = "10.42.0.108";
  networking.hostName = "ceilidh"; # Define your hostname.

  # Ensure the right package architecture is used
  nixpkgs = {
    config = {
      allowUnfree = true;
      allowUnsupportedSystem = true;
    };
    localSystem = {
      system = "aarch64-linux";
      config = "aarch64-unknown-linux-gnu";
    };
  };

  environment.systemPackages = with pkgs; [
    gnupg # GPL OpenPGP implementation
  ];

  system.stateVersion = "22.05"; # The version of NixOS originally installed
}
