# NixOps configuration for pàidh-uachdar
{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ../hardware/raspberry_pi_3_model_B.nix
    ../profiles/host_common.nix
    ../profiles/openssh.nix
    ../profiles/pi_common.nix
    #../profiles/xmonad.nix
    ../secrets/craige.nix # Ssshhhhh!
    ../secrets/root.nix # Ssshhhhh!
    ../secrets/wireless.nix # Hey look! A squirrel!
  ];

  # Comment out deployment when building the SD Image.
  deployment.targetHost = "10.42.0.125";
  networking.hostName = "paidh-uachdar"; # Define your hostname.

  # Ensure the right package architecture is used
  nixpkgs = {
    config = {
      allowUnfree = true;
      allowUnsupportedSystem = true;
    };
    localSystem = {
      system = "aarch64-linux";
      config = "aarch64-unknown-linux-gnu";
    };
  };

  documentation = {
    nixos.enable = false; # Save some space by disabling the manual
  };

  environment.systemPackages = with pkgs; [
    gnupg # GPL OpenPGP implementation
  ];

  system.stateVersion = "20.09"; # The version of NixOS originally installed
}
