# Configuration for
{
  config,
  pkgs,
  ...
}: let
  sources = import ../nix/sources.nix;
  unstable = import sources.nixpkgsUnstable {};
in {
  imports = [
    ../profiles/minecraftClient.nix # Play Minecraft :-)
  ];

  # Kid's Gaming Packages
  environment.systemPackages = with pkgs; [
    angband # A single-player roguelike dungeon exploration game
    discord # cross-platform voice and text chat for gamers
    egoboo # 3D dungeon crawling adventure
    extremetuxracer # High speed arctic racing game based on Tux Racer
    freeciv # Multiplayer (or single player), turn-based strategy game
    freedroidrpg # Isometric 3D RPG similar to game Diablo
    gcompris # Educational software suite, kids aged 2 to 10
    unstable.grapejuice # Simple Wine+Roblox management tool
    #lincity_ng      # City building game
    meritous # Action-adventure dungeon crawl game
    minetest # Infinite-world block sandbox game
    nethack-x11 # Rogue-like game
    #opendungeons    # real time strategy game sharing game elements with the Dungeon Keeper series and Evil Genius
    pingus # A puzzle game with mechanics similar to Lemmings
    shattered-pixel-dungeon # Roguelike game with pixel-art graphics
    superTux # Classic 2D jump'n run sidescroller game
    superTuxKart # A Free 3D kart racing game
    wesnoth # Battle for Wesnoth server and client
  ];
}
