{
  config,
  pkgs,
  ...
}: {
  imports = [/home/craige/source/IOHK/jormungandr-nix/nixos/jormungandr.nix];
  services = {
    jormungandr = {
      enable = true;
      enableExplorer = false;
      genesisBlockHash = "11e340f9c20a4bcdc19103d9794413be81c9a713374997b574e9f9d66419a2b2";
      trustedPeersAddresses = [
        "/ip4/3.123.177.192/tcp/3000"
        "/ip4/52.57.157.167/tcp/3000"
        "/ip4/3.123.155.47/tcp/3000"
        "/ip4/3.115.57.216/tcp/3000"
        "/ip4/3.112.185.217/tcp/3000"
        "/ip4/18.139.40.4/tcp/3000"
        "/ip4/18.140.134.230/tcp/3000"
      ];

      publicAddress = "/ip4/173.61.28.54/tcp/3100";
      topicsOfInterest = {
        messages = "high";
        blocks = "high";
      };
      withBackTraces = true;
      listenAddress = "/ip4/127.0.0.1/tcp/3100";
      rest.listenAddress = "127.0.0.1:3101";
      logger = {
        level = "info";
        output = "stderr";
        #backend = "monitoring.stakepool.cardano-testnet.iohkdev.io:12201";
        #logs-id = "craige";
      };
    };
  };
}
