# Configuration for my neomutt email requirements
{
  config,
  pkgs,
  ...
}: {
  # Install other packages that I require to be used with neomutt.
  environment.systemPackages = with pkgs; [
    isync # My mail fetcher
    khal # CLI calendar application
    khard # Console carddav client
    libnotify # Notification client for my neomutt setup
    lynx # My HTML email viewer
    msmtp # My mail sender
    neomutt # My MUA
    notmuch # Search and indexing for neomutt
    urlscan # Scanning for links neomutt
    vdirsyncer # Synchronize calendars and contacts
  ];

  services.cron = {
    enable = true; # Enable cron service
    systemCronJobs = [
      "*/10 * * * *     craige  /run/current-system/sw/bin/mbsync -q MCA >> /home/craige/.mailsync-MCA.log 2>&1"
      "*/5 * * * *     craige  /run/current-system/sw/bin/mbsync -q IOHK >> /home/craige/.mailsync-IOHK.log 2>&1"
    ];
  };
}
