# NixOps configuration for the hosts running a Taskwarrior server (taskd)
{
  config,
  pkgs,
  lib,
  ...
}: {
  services.taskserver = {
    enable = true; # Enable Taskwarrior server
    fqdn = "task.mcwhirter.io"; # Server's public domain name
    listenHost = "task.mcwhirter.io"; # Sets listening IP & opens firewall
    organisations = {
      teaghlach = {
        groups = ["teaghlach"];
        users = ["craige" "fiona"];
      };
      sgioba = {
        groups = ["sgioba"];
        users = ["craige"];
      };
      obair = {
        groups = ["obair"];
        users = ["craige" "disasm"];
      };
    };
    pki.auto.expiration = {
      ca = 365;
      client = 365;
      server = 365;
    };
  };
}
